Create user under business
Header Parameters
The IP using which the actor is making the request
The unique id of the device using which the actor is making the request
The user agent of the device using which the actor is making the request
The actor on behalf of whom the API request is being performed
Path Parameters
Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.
Body Parameters
First name or given name
Last name or family name
User Middle name
Preferred name
Registration email for the user
Supported country codes for the program can be retrieved from GET /users/enumerations/mobile_country_codes
Minimum 8 characters, one special character, one number, one small character
Mobile number of the user
Supported title for the program can be retrieved from GET /users/enumerations/titles
Supported id types for the program can be retrieved from GET /users/enumerations/id_types
Identification document number
ID expiry date (ISO 8601)
ID issue date (ISO 8601)
Country that issued the ID, can be retrieved from GET /users/enumerations/id_issuance_countries
Alternative ID type
Alternative ID number
Alternative ID expiry date (ISO 8601)
Alternative ID issue date (ISO 8601)
Country that issued the Alternative ID, can be retrieved from GET /users/enumerations/id_issuance_countries
User birthday (ISO 8601)
Place of Birth
Supported nationality for the program can be retrieved from GET /users/enumerations/nationalities
Supported gender for the program can be retrieved from GET /users/enumerations/genders
Supported marital status for the program can be retrieved from GET /users/enumerations/marital_status
Mothers maiden name
Nature of Business
Customer ID
Purpose of Account opening
Partner ID
Client Reference ID
Agent ID
Employer Name
Supported employment type for the program can be retrieved from GET /users/enumerations/employment_type
Supported source of funds for the program can be retrieved from GET /users/enumerations/main_income_source
Supported occupation for the program can be retrieved from GET /users/enumerations/job_title
Supported volume of assets for the program can be retrieved from GET /users/enumerations/annual_income_range
Response
OK
Response Attributes
Unique identifier for the user
Registration email for the user
User name details
Show child attributes
Mobile phone details
Show child attributes
Identification document details
Show child attributes
Country that issued the ID
User birthday (ISO 8601)
Place of Birth
Gender of the user
Nationality of the user
Title (Mr, Miss, Dr, Mrs, Madam)
Marital status of the user
Mothers maiden name
Customer ID
User account status
Show child attributes
Important dates for the user account
Show child attributes
Partner ID
Risk assessment status of the user
PENDINGCLEAREDREJECTEDUNKNOWNClient Reference ID
Agent ID
Employer Name
Employment type of the user
Source of funds for the user
Occupation of the user
Volume of assets for the user
Type of account
individualbusinessBad Request
The response code field indicates which specific rule was violated.
Possible error codes:
invalid_payload— Malformed form/JSON request bodyinvalid_model— Missing required fields in the requestvalidation_error— One or more request fields failed schema/business validation on createinvalid_required_request_parameters— Required request parameters are missing on createcustomer_information_duplicate_error— Duplicate customer information (email/mobile/identification already in use) on createresource_user_id_invalid— The supplied useridis in an invalid format or not found (reactivation)user_already_activated— Cannot activate an already active user (reactivation)resource_user_reactivation_not_allowed— User reactivation is not allowed for the current status (reactivation)
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unauthorized
The response code field indicates the authentication failure.
Possible error codes:
access_denied— Access is denied for this resource
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Forbidden
The response code field indicates which specific rule was violated.
Possible error codes:
unauthorized_action— The consumer scope is not allowed to access this resourcerestricted_resource— This V1 route is blocked for the current program_codeuser_blocked_risk_threshold_exceeded— The user is risk-flagged/rejected and reactivation is disallowedresource_user_already_terminated— The user is already blocked and the status cannot be updated (reactivation)resource_user_conflict_email_restore— Cannot restore user, an activeemailalready exists (reactivation)resource_user_conflict_mobile_restore— Cannot restore user, an activemobilealready exists (reactivation)
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Found
The response code field indicates the missing resource.
Possible error codes:
route_not_defined— Missing auth definition on the given route
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Internal Server Error
The response code field indicates the failure category.
Possible error codes:
request_fatal_internal— Fatal service errorinternal_server_error— Unclassified error returned by the upstream KYC service
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Implemented
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Bad Gateway
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Service Unavailable
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Gateway Timeout
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API